package com.ejie.ab63.model;

import org.apache.xmlbeans.StringEnumAbstractBase;

public class EnumCategoria extends StringEnumAbstractBase {

	static final int INT_X_1 = 1;
	static final int INT_X_2 = 2;
	static final int INT_X_3 = 3;
	static final int INT_X_4 = 4;
	static final int INT_X_5 = 5;
	static final int INT_P = 6;
	static final int INT_S = 7;
	static final int INT_T = 8;
	static final int INT_L = 9;
	public static final StringEnumAbstractBase.Table table = new StringEnumAbstractBase.Table(
			new EnumCategoria[] { new EnumCategoria("1", 1), new EnumCategoria("2", 2), new EnumCategoria("3", 3),
					new EnumCategoria("4", 4), new EnumCategoria("5", 5), new EnumCategoria("P", 6),
					new EnumCategoria("S", 7), new EnumCategoria("T", 8), new EnumCategoria("L", 9) });
	private static final long serialVersionUID = 1L;

	public static EnumCategoria forString(String paramString) {
		return (EnumCategoria) table.forString(paramString);
	}

	public static EnumCategoria forInt(int paramInt) {
		return (EnumCategoria) table.forInt(paramInt);
	}

	private EnumCategoria(String paramString, int paramInt) {
		super(paramString, paramInt);
	}

	private Object readResolve() {
		return forInt(intValue());
	}
}